Bug 60029 - AsyncLocal inconsistency with .NET
Summary: AsyncLocal inconsistency with .NET
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: mscorlib (show other bugs)
Version: master
Hardware: PC All
: --- normal
Target Milestone: Future Release
Assignee: Rodrigo Kumpera
URL:
Depends on:
Blocks:
 
Reported: 2017-10-06 16:46 UTC by Egorbo
Modified: 2018-01-05 13:27 UTC (History)
4 users (show)

Tags: bugpool-archive
Is this bug a regression?: ---
Last known good build:


Attachments

Description Egorbo 2017-10-06 16:46:53 UTC
Repro: https://gist.github.com/EgorBo/d1942b662de1699ea0b9426289d4737f (see comments)
a bit messy but if you execute it in .NET and Mono - you will get different results.
Comment 1 Rodrigo Kumpera 2017-11-15 00:50:24 UTC
https://github.com/mono/mono/pull/6013
Comment 2 Ludovic Henry 2017-11-21 21:17:21 UTC
Merged in master with https://github.com/mono/mono/commit/375471820c02ff0bab025bff75b5da7efc95d3cd

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 60029 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: